;==File=================================================================;
; POCOMM.GBL
;=======================================================================;
; Copyright 1999 by TAH Software Systems (TAH), Oklahoma City, Oklahoma ;
;									;
;	TAH provides this software under a license and may only be	;
;	used in accordance with the terms and conditions of such	;
;	license and with the inclusion of the above Copyright notice.	;
;==Function=============================================================;
;	pocomm		Purchase Order common area
;==Changes==============================================================;
;=======================================================================;
.ifdef DTECTL_INIT
global data section po_work, init
.iff
global data section po_work
.endc
record	pocomm
	po_cmkphs	,a1			; Keep history (Y/N)
	po_cmnxor	,d6			; Next order number
	po_cmform	,d1			; Purchase order form number
	po_cmpolp	,d2			; Purchase order printer
	po_cmlblp	,d2			; Labels printer
	po_cmoato	,a1			; Automatic order nos (Y/N)
	po_cmpurg	,a1			; Purge flag (P/C)
	po_cmmloc	,a1			; Mult locations per order (Y/N)
	po_cmfrtadd	,a1			; Add freight-in to cost (Y/N)
	po_cmacls	,a1			; Auto close po when recvd (Y/N)
	po_cmrectyp	,d1			; Type of receivings (1,2 step)
	po_cmautorec	,a1			; Automatic set received (Y/N)

	po_menu_col	,[10]d2			; Menu column id's

	pohedr_name	,a6,	'POHEDR'	; HEADER file
	  pohedr_chan	,d2
	  pohedr_log	,a1

	pohist_name	,a6,	'POHIST'	; HISTORY file
	  pohist_chan	,d2
	  pohist_log	,a1

	pohsln_name	,a6,	'POHSLN'	; HISTORY sn/lot file
	  pohsln_chan	,d2
	  pohsln_log	,a1

	poline_name	,a6,	'POLINE'	; LINE ITEM file
	  poline_chan	,d2
	  poline_log	,a1

	pomail_name	,a6,	'POMAIL'	; MAIL ADDR file
	  pomail_chan	,d2
	  pomail_log	,a1

	porecv_name	,a6,	'PORECV'	; RECEIVINGS file
	  porecv_chan	,d2
	  porecv_log	,a1

	posnlt_name	,a6,	'POSNLT'	; Serial/Lot file
	  posnlt_chan	,d2
	  posnlt_log	,a1
endglobal

